/*
 * Adapted from http://www.problogdesign.com/wordpress/load-next-wordpress-posts-with-ajax/
 */
jQuery(document).ready(function($){
    if (typeof my_ajax == 'object') {
        // The number of the next page to load (/page/x/).
        var pageNum = parseInt(my_ajax.startPage) + 1;
        
        // The maximum number of pages the current query can return.
        var max = parseInt(my_ajax.maxPages);
        
        // The link of the next page of posts.
        var nextLink = my_ajax.nextLink;
        
        /**
         * Replace the traditional navigation with our own,
         * but only if there is at least one page of new posts to load.
         */
        if(pageNum <= max) {
            // Insert the "More Posts" link.
            $('#my_post_container')
                .append('<div class="pbd-alp-placeholder-'+ pageNum +'"></div>')
                .append('<p id="pbd-alp-load-posts"><a href="#">Load More Posts</a></p>');
           
        }
        else{
            $('#my_post_container')
                .append('<p id="pbd-alp-load-posts"><a href="#">No more posts to load.</a></p>');
        }
        // Remove the traditional navigation.
        $('#my_paginator').remove();
        
        /**
         * Load new posts when the link is clicked.
         */
        $('#pbd-alp-load-posts a').click(function() {
        
            // Are there more posts to load?
            if(pageNum <= max) {
            
                // Show that we're working.
                $(this).text('Loading posts...');
                
                $('.pbd-alp-placeholder-'+ pageNum).load(nextLink + ' .my_post',
                    function() {
                        // Update page number and nextLink.
                        pageNum++; 
                        nextLink = nextLink.replace(/\?pg=[1-9]+/, '?pg='+ pageNum); 
                        
                        // Add a new placeholder, for when user clicks again.
                        $('#pbd-alp-load-posts')
                            .before('<div class="pbd-alp-placeholder-'+ pageNum +'"></div>')
                        
                        // Update the button message.
                        if(pageNum <= max) {
                            $('#pbd-alp-load-posts a').text('Load More Posts');
                        } else {
                            $('#pbd-alp-load-posts a').text('No more posts to load.');
                        }
                    }
                );
            } else {
                $('#pbd-alp-load-posts a').append('.');
            }	
            
            return false;
        });
    }
});